# Get order by ID Consult all QR Code order information using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/v1/orders/{order_id}` ## Request parameters ### Path - `order_id` (string, required) Order ID returned in the response to the request made for its creation. ## Response parameters - `id` (string, optional) Identifier of the order whose information is being consulted, automatically generated by Mercado Pago. - `user_id` (string, optional) ID of the Mercado Pago account that created the order. - `type` (string, optional) Order type. Possible enum values: - `qr` Order created for Mercado Pago QR Code payments. - `external_reference` (string, optional) External reference of the order, assigned when creating it. - `description` (string, optional) Description of the product or service purchased, the reason for the payment order. - `expiration_time` (string, optional) Specifies the order's validity period in ISO 8601 duration format (e.g., P3Y6M4DT12H30M5S). Minimum of 30 seconds and maximum of 3600 hours. Behavior varies by QR model. Dynamic QR defaults to 15 minutes and honors the value sent. Static QR defaults to 10 minutes and is capped at 10 minutes regardless of the value sent. Hybrid QR follows the same rules per type: the Dynamic QR honors the value sent, while the linked Static QR is always capped at 10 minutes. - `processing_mode` (string, optional) Indicates how the order will be processed. For QR orders, the only allowed value is "automatic", that sets the order to be ready to process. - `total_amount` (string, optional) Total order amount. Represents the sum of the transactions, so if it includes payment transactions ("payments") and cash_outs ("cash_outs"), it must be the sum of both values. The field can contain two decimal places or none. - `country_code` (string, optional) Identifier of the site (country) to which the Mercado Pago application that created the order belongs. - `marketplace_fee` (string, optional) This field is exclusive to OAuth integrations. It represents the marketplace fee, which will be given to the marketplace owner account. - `integration_data` (object, optional) Contains information about the Mercado Pago application that created the order. - `integration_data.application_id` (string, optional) Identifier of the Mercado Pago application that created the order. - `integration_data.platform_id` (string, optional) Identifier of the platform, assigned by Mercado Pago. - `integration_data.integrator_id` (string, optional) Identifier of the user who develops the integration that creates the order, assigned by Mercado Pago. It must contain the prefix "dev_" - `integration_data.sponsor` (object, optional) - `integration_data.sponsor.id` (string, optional) Mercado Pago's USER_ID of the integrator system. - `status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled through the API. - `processed` All transactions have been succesfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `status_detail` (string, optional) Details about the status of the order. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled. - `accredited` The order has been successfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `currency` (string, optional) Identifier of the currency used in the order. We currently have the following options. Possible enum values: - `BRL` Brazilian real. - `ARS` Argentine peso. - `CLP` Chilean peso. - `MXN` Mexican peso. - `UYU` Urugayan peso. - `created_date` (string, optional) Order's creation date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `last_updated_date` (string, optional) Order's las update date, in "yyyy-MM-ddTHH:mm:ss.sssZ" format. - `config` (object, optional) Order type configuration. - `config.qr` (object, optional) QR Code order configuration. - `config.qr.external_pos_id` (string, optional) External identifier of the POS, defined by the integrator during its creation. - `config.qr.mode` (string, optional) QR code mode associated with the order. - `config.payment_method` (object, optional) Payment method configuration sent in the request, returned in the response when present. - `config.payment_method.default_type` (string, optional) Payment method type to which the installment configuration applies. - `config.payment_method.installments_cost` (string, optional) Defines who bears the cost of installment interest. - `config.payment_method.installments` (object, optional) Configuration of available installment options. - `config.payment_method.installments.interest_free` (object, optional) Configuration of interest-free installments. - `config.payment_method.installments.interest_free.type` (string, optional) Defines the configuration format of interest-free installments. "range": installments are defined as a continuous range; all installments between the minimum and maximum values will be offered interest-free. The range must always start at 1. For example, [1,3] configures installments 1, 2, and 3 as interest-free. "list": only one specific installment is configured interest-free. Accepts only one value. For example, [5] configures only installment 5 as interest-free. - `config.payment_method.installments.interest_free.values` (array, optional) Available interest-free installment values. - `config.payment_method.installments.available` (object, optional) Configuration of additional installments to be displayed to the buyer, beyond those configured in interest_free. Only available when interest_free.type is "range". - `config.payment_method.installments.available.type` (string, optional) Defines which additional installments will be displayed. "all": shows all installments supported by the payment method, even if not configured in interest_free. Installments configured in interest_free are shown interest-free and the remaining ones with interest. For example, if interest_free.values is [1,3] and available.type is all, installments 1, 2, and 3 are shown interest-free and the remaining ones with interest. Only available if interest_free.type is "range". If not sent, only the installments in interest_free will be shown to the buyer. - `transactions` (object, optional) Contains information about the transactions associated with the order. - `transactions.payments` (array, optional) Contains information about the payment associated with the order. - `transactions.payments[].id` (string, optional) Identifier of the payment transaction associated with the order, automatically generated by Mercado Pago. - `transactions.payments[].amount` (string, optional) Payment amount, assigned when creating the order. - `transactions.payments[].refunded_amount` (string, optional) Field returned only when a refund has been made, that represents its amount. - `transactions.payments[].paid_amount` (string, optional) It is the total paid amount. For example, if the payment was generated with a discount, you'll see that amount. - `transactions.payments[].status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled through the API. - `processed` All transactions have been succesfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `transactions.payments[].status_detail` (string, optional) Detailed status of the payment transaction. Possible enum values: - `created` The payment has been succesfully created. - `canceled_by_api` The payment has been canceled through the API. - `accredited` The payment has been successfully processed. - `refunded` The payment has been succesfully refunded. - `expired` The payment expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `in_review` The status of the transaction should be reviewed to identify whether it was processed or failed. - `transactions.payments[].reference_id` (string, optional) ID of the payment associated with the order. - `transactions.payments[].payment_method` (object, optional) Information about the payment method selected for the transaction. - `transactions.payments[].payment_method.type` (string, optional) Payment method selected when creaating the order. - `transactions.payments[].payment_method.installments` (number, optional) Number of installments selected. - `transactions.payments[].payment_method.id` (string, optional) Payment method identifier or card brand. - `transactions.payments[].discounts` (object, optional) Field returned if a discount was applied when creating the order. It will contain the information about the discount type. - `transactions.payments[].discounts.type` (string, optional) Identifier of the payment method with which the discount will be applied. - `transactions.cash_outs` (array, optional) Contains information about the cashout associated with the order. - `transactions.cash_outs[].id` (string, optional) Identifier of the cashout transaction created in the request, automatically generated by Mercado Pago. - `transactions.cash_outs[].reference_id` (string, optional) Identifier of the cashout associated with the order. - `transactions.cash_outs[].amount` (string, optional) Cashout amount, assigned when creating the order. - `transactions.cash_outs[].status` (string, optional) Current status of the order or the transaction. Possible enum values: - `created` The order has been succesfully created. - `canceled` The order has been canceled through the API. - `processed` All transactions have been succesfully processed. - `refunded` The order has been succesfully refunded. - `expired` The order expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `transactions.cash_outs[].status_detail` (string, optional) Current status or the cashout transaction. Possible enum values: - `created` The transaction has been succesfully created. - `canceled_by_api` The transaction has been canceled through the API. - `accredited` The transaction has been successfully processed. - `refunded` The transaction has been succesfully refunded. - `expired` The transaction expired because it exceeded the maximum processing time, defined at the time of its creation in the "expiration_time" field. - `in_review` The status of the transaction should be reviewed to identify whether it was processed or failed. - `transactions.refunds` (array, optional) Contains information about the refund associated with the order, including information about the payment and cashout transactions. - `transactions.refunds[].id` (string, optional) Identifier of the refund transaction, automatically generated by Mercado Pago. - `transactions.refunds[].transaction_id` (string, optional) Identifier of the "payments" or "cash_outs" that will be refunded, assigned to the transaction at the time of order creation. If it identifies a payment transaction, this value will start with the prefix "PAY", and if it identifies a cashout transactions, it will start with the prefix "CAS". - `transactions.refunds[].reference_id` (string, optional) ID that associates the transaction and its refund. - `transactions.refunds[].amount` (string, optional) Valor devolvido no reembolso. Se o pagamento for com desconto, esse valor serĂ¡ refletido. - `transactions.refunds[].status` (string, optional) Current status of the refund. Possible enum values: - `processing` The refund was successfully requested and is being processed. Enable your Webhooks notifications to receive an alert if the refund was successful, or to find out if there was an error. - `processed` All transactions have been succesfully refunded. - `failed` The refund failed. - `items` (array, optional) Information about the list of items to be paid. - `items[].title` (string, optional) Item name. - `items[].unit_price` (string, optional) Unit price of the item. - `items[].quantity` (number, optional) Purchased items quantity. - `items[].unit_measure` (string, optional) A value that represents a unit of measurement associated with the item, assigned when creating the order. - `items[].external_code` (string, optional) Code that identifies the item within the external system, assigned when creating the order. For example, an EAN code. - `items[].external_categories` (array, optional) List of categories associated with the item within the external system. A maximum of 10 categories ("id"). This field enables the category discount feature and therefore cannot be set together with the "discounts" field. If you want to apply discounts by category, use only this field ("external_categories") and remove the "discounts" field. - `items[].external_categories[].id` (string, optional) Identifier of the category associated with the item. - `discounts` (object, optional) Contains information about the discounts the seller set for the payment transaction ("payment") of the order, associated with a payment method. - `discounts.payment_methods` (array, optional) Information about the payment method selected to apply the discount, assigned when creating the order. - `discounts.payment_methods[].new_total_amount` (string, optional) New total value of the order when the discount is applied. If the created order contains both cashouts and payments, the value of this field will be the sum of the cashout amount plus the payment amount with the discount applied. - `discounts.payment_methods[].type` (string, optional) Identifier of the payment method with which the discount will be applied if used by the payer to make the payment. Possible enum values: - `debit_card` Debit card that is registered in Mercado Pago wallet. - `credit_card` Credit card that is registered in Mercado Pago wallet. - `account_money` Available money in the Mercado Pago wallet. - `prepaid_card` Prepaid card that is registered in Mercado Pago wallet. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_path_param | The Order ID provided in the request path has has an invalid format. It must begin with the prefix "ORD" and be followed by 26 characters. Please confirm it and provide a valid ID to try again. | | 401 | unauthorized | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 404 | order_not_found | The value sent as Order ID does not correspond to a created order, therefore it could not be found. Please check and try again with the correct value. | | 500 | 500 | Internal server error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/orders/{order_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "ORD00001111222233334444555566", "user_id": "5238400195", "type": "qr", "external_reference": "ext_ref_1234", "description": "Smartphone", "expiration_time": "PT16M", "processing_mode": "automatic", "total_amount": "50.00", "country_code": "AR", "marketplace_fee": "11.20", "integration_data": { "application_id": "1234567890", "platform_id": "dev_1234567890", "integrator_id": "dev_1234", "sponsor": { "id": "446566691" } }, "status": "refunded", "status_detail": "created", "currency": "ARS", "created_date": "2024-09-10T14:26:42.109Z", "last_updated_date": "2024-09-10T14:27:42.109Z", "config": { "qr": { "external_pos_id": "EXTERNALPOS019285", "mode": "hybrid" }, "payment_method": { "default_type": "credit_card", "installments_cost": "seller", "installments": { "interest_free": { "type": null, "values": null }, "available": { "type": null } } } }, "transactions": { "payments": [ { "id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "amount": "24.50", "refunded_amount": "24.50", "paid_amount": "47.28", "status": "refunded", "status_detail": "created", "reference_id": "12345678", "payment_method": { "type": null, "installments": null, "id": null }, "discounts": { "type": null } } ], "cash_outs": [ { "id": "CAS01J67CQQH5904WDBVZEM4JMEP3", "reference_id": "12345678", "amount": "24.50", "status": "refunded", "status_detail": "created" } ], "refunds": [ { "id": "REF01J67CQQH5904WDBVZEM1234D", "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3", "reference_id": "12345678", "amount": "47.28", "status": "processed" } ] }, "items": [ { "title": "Smartphone", "unit_price": "24.50", "quantity": 1, "unit_measure": "kg", "external_code": "777489134", "external_categories": [ { "id": null } ] } ], "discounts": { "payment_methods": [ { "new_total_amount": "47.28", "type": "account_money" } ] } } ```